:root {
    --secondary-bg-color: #fafafa;
    --contained-max-width: 900px;
}

html {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    scroll-behavior: smooth;
}

a {
    color: inherit;
    outline: none;
    text-decoration: none;
}

a:hover {
    outline: none;
    color: inherit;
    text-decoration: none;
}

/*******************************************************/
/* Section                                             */
/*******************************************************/
.Section {
    padding: 2.5rem .8rem;
    min-height: 50vh;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.Section:nth-child(2n) {
    background: #fdfdfd;
    box-shadow: inset 0 1px 0 0 white;
}

.Section:not(:last-child) {
    border-bottom: 1px solid #eee;
}

.Section-content {
    max-width: var(--contained-max-width);
    margin: auto;
}

.SectionTitle {
    width: 100%;
    text-align: center;
    margin-bottom: 1rem;
    font-size: 2rem;
    line-height: 2rem;
    font-weight: 400;
    color: #414141;
}

.SectionTitle::after {
    content: '';
    display: block;
    width: 60px;
    margin: auto;
    margin-top: .5rem;
    border-bottom: 1px solid rgba(66, 66, 66, 0.15);
}

/*******************************************************/
/* Header                                              */
/*******************************************************/
.Header {
    position: relative;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;

    background-color: #252525;
    color: #fff;
}

.HeaderTitle {
    --title-font-size: 3rem;

    font: var(--title-font-size) 'Italiana', sans-serif;
    font-weight: normal;
    margin-top: calc(var(--title-font-size) * -1);
}

.HeaderSubTitle {
    line-height: 1rem;
    font-size: 1rem;
    font-weight: 200;
}

.Header-socialBar {
    margin-top: 2rem;
}

.Header-scrollIndicator {
    position: absolute;
    bottom: 6rem;

    padding: .2rem;
    font-size: 1.2rem;

    opacity: 0;
    animation-name: arise;
    animation-delay: 1.5s;
    animation-duration: 2s;
    animation-fill-mode: forwards;
}

@media screen and (min-width: 750px) {
    .HeaderTitle {
        --title-font-size: 4rem;
    }
    .HeaderSubTitle {
        font-size: 1.33rem;
    }
}

@keyframes arise {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}
/*******************************************************/
/* About                                               */
/*******************************************************/
.About {
    padding-top: 4rem;
    padding-bottom: 4rem;
}

.About p {
    text-align: justify;
}

.About p + p {
    margin-top: 1rem;
}

.About a {
    background: linear-gradient(#ffd900, #ffd900);
    background-size: 100% .2em;
    background-repeat: no-repeat;
    background-position: left 0 bottom -1px;
}

.About-avatar {
    display: block;
    margin: auto;

    width: 180px;
    height: auto;
    
    border-radius: 50%;
    margin-bottom: 2.5rem;
}

@media screen and (min-width: 800px) {
    .About-avatar {
        float: left;
        margin: 0;
        margin-right: 2rem;
    }
}


/*******************************************************/
/* Footer                                              */
/*******************************************************/
.Footer {
    padding: 1.5rem .8rem;
    font-size: .8rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: var(--secondary-bg-color);
}

/*******************************************************/
/* Cards                                               */
/*******************************************************/
.Card {
    background-color: #f5f5f5;
    padding: 2rem;
}

.Card + .Card {
    margin-top: .8rem;
}

.Card blockquote {
    font-size: .8rem;
    margin: 0 0 .8rem;
    color: #414141;
}

.Card blockquote p {
    margin: 0;
}

.Card cite {
    text-align: right;
    display: inline-block;
    width: 100%;
}

.Card cite::before {
    content: '—';
    margin-right: .4em;
}

.Card p {
    text-align: justify;
}

.CardTitle {
    color: #414141;
    font-size: 24px;
    font-weight: 200;
}

.CardTitle--icon {
    display: block;
    font-size: 1.2em;
    /* color: #4486f6; maybe..... */
}

@media screen and (min-width: 640px) {
    .Cards {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: space-between;
        margin: auto;
    }

    .Card {
        width: calc(50% - .4rem);
    }

    .Cards .Card:nth-child(2) {
        margin: 0;
    }
}

/*******************************************************/
/* SocialBar                                           */
/*******************************************************/
.SocialBar a {
    font-size: 1.2rem;
}

.SocialBar a+a {
    margin-left: 1rem;
}

.SocialBar--dark a {
    color: #414141;
}

.SocialBar--big a {
    font-size: 1.4rem;
}

/*******************************************************/
/* Timeline                                            */
/*******************************************************/
.Timeline {
    --border-color: rgba(0, 0, 0, .3);
    --icon-size: 1.5rem;
}

.Timeline-item {
    position: relative;
    padding: 3em 2em 2em;
    border-left: 2px solid var(--border-color);
    color: rgba(0, 0, 0, .7);
    font-size: .9rem;
}

.Timeline-item h4 {
    font-size: 1.1rem;
    line-height: var(--icon-size);
}

.Timeline-item h4 img {
    height: var(--icon-size);
    width: var(--icon-size);
    margin-right: .4rem;
}

.Timeline-item::before {
    content: attr(data-from);
    position: absolute;
    left: 2em;
    top: 1em;
    font-weight: bold;
    font-weight: 700;
    font-size: .8rem;
}

.Timeline-item::after {
    content: '';
    position: absolute;
    top: 1em;
    left: -6px;
    width: 10px;
    height: 10px;
    border-radius: 10px;
    border: 2px solid var(--border-color);
    background: white;
}

.Timeline-item:last-child {
    border-image: linear-gradient(to bottom, var(--border-color) 60%, rgba(0, 0, 0, 0)) 1 100%;
}

.Environment {
    list-style: none;
    margin: .1em 0;
    padding: 0;
    color: rgba(0, 0, 0, .5);
}

.Environment>* {
    display: inline;
}

.Environment>*+*::before {
    content: '/';
    margin: 0 .6em;
}